﻿:host {
    display: block;
    position: relative;
    contain: strict;
    width: 300px;
    height: 150px;
}

.container {
    position: relative;
    overflow: hidden;
}

.userInput {
    width: 100%;
    height: 100%;
    display: none;
    position: relative;
    outline-offset: -1px;
    outline-width: 1px;
}

canvas {
    position: absolute;
    display: none;
    pointer-events: none;
    display: block;
    position: absolute;
    border: none;
    padding: 0;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    background-color: #fff0;
}

#default-progress-bar {
    display: block;
    position: relative;
    width: 100%;
    height: 100%;
    pointer-events: none;
    overflow: hidden;
}

    #default-progress-bar > .bar {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: var(--progress-bar-height, 5px);
        background-color: var(--progress-bar-color, rgba(0, 0, 0, 0.4));
        transition: transform 0.09s;
        transform-origin: top left;
        transform: scaleX(0);
        overflow: hidden;
    }

        #default-progress-bar > .bar.hide {
            transition: opacity 0.3s 1s;
            opacity: 0;
        }

.centered {
    align-items: center;
    justify-content: center;
}

.cover {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
}

.slot.interaction-prompt {
    display: var(--interaction-prompt-display, flex);
    overflow: hidden;
    opacity: 0;
    will-change: opacity;
    transition: opacity 0.3s;
}

    .slot.interaction-prompt.visible {
        opacity: 1;
    }

.animated-container {
    will-change: transform, opacity;
    opacity: 0;
    transition: opacity 0.3s;
}

.slot.interaction-prompt > * {
    pointer-events: none;
}

.slot.ar-button {
    -moz-user-select: none;
    -webkit-tap-highlight-color: transparent;
    user-select: none;
    display: var(--ar-button-display, block);
}

    .slot.ar-button:not(.enabled) {
        display: none;
    }

.fab {
    display: flex;
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
    width: 40px;
    height: 40px;
    cursor: pointer;
    background-color: #fff;
    box-shadow: 0px 0px 4px rgba(0, 0, 0, 0.15);
    border-radius: 100px;
}

    .fab > * {
        opacity: 0.87;
    }

#default-ar-button {
    position: absolute;
    bottom: 16px;
    right: 16px;
    transform: scale(var(--ar-button-scale, 1));
    transform-origin: bottom right;
}

.slot.pan-target {
    display: block;
    position: absolute;
    width: 0;
    height: 0;
    left: 50%;
    top: 50%;
    transform: translate3d(-50%, -50%, 0);
    background-color: transparent;
    opacity: 0;
    transition: opacity 0.3s;
}

#default-pan-target {
    width: 6px;
    height: 6px;
    border-radius: 6px;
    border: 1px solid white;
    box-shadow: 0px 0px 2px 1px rgba(0, 0, 0, 0.8);
}

.slot.default {
    pointer-events: none;
}

.slot.progress-bar {
    pointer-events: none;
}

.slot.exit-webxr-ar-button {
    pointer-events: none;
}

    .slot.exit-webxr-ar-button:not(.enabled) {
        display: none;
    }

#default-exit-webxr-ar-button {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: env(safe-area-inset-top, 16px);
    right: 16px;
    width: 40px;
    height: 40px;
    box-sizing: border-box;
}

    #default-exit-webxr-ar-button > svg {
        fill: #fff;
    }